import React from 'react'
import styled from 'styled-components'
import $ from 'jquery'
import Ref from '../components/Ref'
import img1 from '../pages/media/images/pag10_img1.png' 
import img2 from '../pages/media/images/pag10_img2.png' 
import img3 from '../pages/media/images/pag10_img3.png' 
import img4 from '../pages/media/images/pag10_img4.png' 
import img5 from '../pages/media/images/pag10_img5.png' 
import img6 from '../pages/media/images/pag10_img6.png' 
import img7 from '../pages/media/images/pag10_img7.png' 
import img8 from '../pages/media/images/pag10_img8.png' 
import CaixaContorno from '../components/CaixaContorno';

// Styling
const StyledDiv = styled.div`
.tamanho7 {
    width: 72.9% !important;
}
.imgprinc{

position: relative;
}

.fig1 {
    position: absolute;
    top: 20%;
    z-index: 1;
    width: 10.8%;
    left: 63%;
}
.fig2 {
    position: absolute;
    top: 16%;
    z-index: 2;
    left: 27%;
    width: 10.8%;
}
.fig3 {
    position: absolute;
    top: 6%;
    z-index: 0;
    left: 45.3%;
    width: 10.8%;
}

.fig4 {
    position: absolute;
    top: 53%;
    z-index: 1;
    left: 51%;
    width: 11%;
}

.fig5 {
    position: absolute;
    top: 53%;
    z-index: 1;
    left: 63%;
    width: 11%;
    
}

.fig6 {
    position: absolute;
    top: 63%;
    z-index: 2;
    left: 27%;
    width: 12%;
}
.fig7 {
    position: absolute;
    top: 35%;
    z-index: 0;
    left: 43.5%;
    width: 12%;
}




.anim
{
  -webkit-transition: all 200ms ease-in;
  -webkit-transform: scale(1); 
  -ms-transition: all 200ms ease-in;
  -ms-transform: scale(1); 
  -moz-transition: all 200ms ease-in;
  -moz-transform: scale(1);
  transition: all 200ms ease-in;
  transform: scale(1);   
}
.anim:hover
{
  z-index: 999;
  -webkit-transition: all 200ms ease-in;
  -webkit-transform: scale(1.5);
  -ms-transition: all 200ms ease-in;
  -ms-transform: scale(1.5);   
  -moz-transition: all 200ms ease-in;
  -moz-transform: scale(1.5);
  transition: all 200ms ease-in;
  transform: scale(1.5);
}

.obj {
    opacity: 1 !important;
    cursor:pointer;
}
 @media only screen and (max-width: 600px){
    .tamanho6 {
        width: 99.9% !important;
    }
    .fig1 {
        position: absolute;
        top: 20%;
        z-index: 1;
        width: 16.8%;
        left: 72%;
    }
    .fig2 {
        position: absolute;
        top: 16%;
        z-index: 2;
        left: 10%;
        width: 19.8%;
    }
    .fig3 {
        position: absolute;
        top: 6%;
        z-index: 0;
        left: 42.3%;
        width: 17.8%;
    }
    .fig5 {
        position: absolute;
        top: 55%;
        z-index: 1;
        left: 72%;
        width: 16%;
    }
    .fig6 {
        position: absolute;
        top: 59%;
        z-index: 2;
        left: 11%;
        width: 23%;
    }
    .fig7 {
        position: absolute;
        top: 35%;
        z-index: 0;
        left: 43.5%;
        width: 20%;
    }

} 
`

// Page
class Page extends React.Component {
  componentDidMount () {
      var objSelect = $(".objSelect");
      var txtSelect = $(".txtSelect");

      function disableObj(event) {
          $(event).css({ "opacity": "0.3" });
      }
      function enableObj(event) {
          $(event).css({ "opacity": "1" });
          disableObj($(objSelect).not(event));
      }
      function clearText(event) {
          $(txtSelect).not(event).hide();
      }
      function showText(event) {
          var data = $(event).attr("data-select");
          $(data).show("fade");
          clearText($(data));
      }

      txtSelect.hide();
      disableObj(objSelect);
      enableObj(objSelect.first());
      showText(objSelect.first());
      objSelect.click(function () {
          showText(this);
          enableObj(this);
      });
  }
  render() {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Inserção da Assistência à Saúde Bucal na Rede Cegonha</h2>
        <div className='page'>
          <p>Ao observar as diretrizes da Rede Cegonha, é fácil compreender que as ações de saúde bucal podem e devem estar presentes nesse contexto, não é mesmo? <strong>Clique</strong> nos prédios da imagem abaixo para visualizar os variados pontos de atenção da Rede Cegonha:</p>

          <div className="grid-row centro">
                <div className="tamanho6 meio imgprinc">
                    <div><img src={img1} /></div>
                </div>

                <div className="tamanho1 fig1 anim animated pulse infinite objSelect obj" data-select="#txt1">
                    <img src={img2} />
                </div>
                <div className="tamanho1 fig2 anim animated pulse infinite objSelect obj" data-select="#txt2">
                    <img src={img3} />
                </div>
                <div className="tamanho1 fig3 anim animated pulse infinite objSelect obj" data-select="#txt3">
                    <img src={img4} />
                </div>
                <div className="tamanho1 fig4">
                    <img src={img5} />
                </div>

                <div className="tamanho1 fig5 anim animated pulse infinite objSelect obj" data-select="#txt5">
                    <img src={img6} />
                </div>

                <div className="tamanho1 fig6 anim animated pulse infinite objSelect obj" data-select="#txt6">
                    <img src={img7} />
                </div>
                <div className="tamanho1 fig7 anim animated pulse infinite objSelect obj" data-select="#txt7">
                    <img src={img8} />
                </div>

            </div>

            <div className="grid-row">

                <div className="txtSelect" id="txt1">
                    <CaixaContorno Content="Maternidade" />
                </div>
                <div className="txtSelect" id="txt2">
                    <CaixaContorno Content="Maternidade de risco" />
                </div>
                <div className="txtSelect" id="txt3">
                    <CaixaContorno Content="Unidade de Saúde da Família (onde o serviço da Equipe de Saúde Bucal está inserido)" />
                </div>
                <div className="txtSelect" id="txt4">
                    <CaixaContorno Content="Equipe de Saúde Bucal (ESB) " />
                </div>
                <div className="txtSelect" id="txt5">
                    <CaixaContorno Content="Casa da gestante, bebê e puérpera" />
                </div>
                <div className="txtSelect" id="txt6">
                    <CaixaContorno Content="Centro de Especialidades Odontológicas (CEO)" />
                </div>
                <div className="txtSelect" id="txt7">
                    <CaixaContorno Content="Centro de parto normal" />
                </div>
            </div>

         <p>Nesse momento do ciclo da vida, as diversas profissões de saúde, incluindo o cirurgião-dentista, devem se articular nos serviços de assistência pré-natal garantindo um atendimento integral, humanizado e de qualidade<Ref key={"rf"+Date.now()} Id="3"/>.</p>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
