import React from 'react'
import styled from 'styled-components'
import CaixaSombreada from '../components/CaixaSombreada';
import CaixaColorida from '../components/CaixaColorida';
import CaixaAbasHorizontal from '../components/CaixaAbasHorizontal';
import ModalBtn2 from '.././local/component/ModalBtn2'
import Ref from '../components/Ref'



import img1 from '../pages/media/images/pag12_img1.png'
import img2 from '../pages/media/images/pag12_img2.png'
import img3 from '../pages/media/images/pag12_img3.png'
// Styling
const StyledDiv = styled.div`
.ajusteImg{
    margin-left: 3%;
    width: 9%;
    margin-right: 3%;
}
.tamanho2 {
    width: 14.9%;
}
.caixa-colorida p {
    text-align:center;
}
.tamanho3 {
  width: 34.9% !important;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Inserção da Assistência à Saúde Bucal na Rede Cegonha</h2>
        <div className='page'>
        <p>Considerando a integralidade necessária na assistência à gestante, puérpera e às crianças, como são inseridos os serviços odontológicos dentro desse contexto? A assistência odontológica à gestante deve ser integrada entre os diferentes níveis de cuidado, estando pautada nas assistências<Ref key={"rf"+Date.now()} Id="4"/>.</p>

         <div className="grid-row centro">
            <div className="tamanho3  caixa meio">
              <div className="animated bounceInLeft"><CaixaColorida Content="Promoção" /></div>
              <div className="animated bounceInLeft delay-1s"><CaixaColorida Content="Prevenção" /></div>
              
            </div>
            <div className="tamanho3  caixa meio">
              <div className="animated bounceInLeft delay-2s"><CaixaColorida Content="Recuperação" /></div>
              <div className="animated bounceInLeft delay-3s"><CaixaColorida Content="Manutenção" /></div>
              
            </div>
         </div>

          <p><strong>Clique</strong> nos números abaixo para entender a importância da continuidade da assistência e dos benefícios do atendimento odontológico:</p>
          <div className="caixa">
          <CaixaAbasHorizontal AbasContent={[[
                        <div className="grid-row centro">
                            <div className="tamanho10 meio text"><p> Independentemente da busca prioritária por atendimentos curativos e como garantia do princípio da integralidade, é imprescindível que haja continuidade da assistência, com oferta de serviços nos diferentes níveis de complexidade.</p></div>
                        </div>],
                    [<div className="grid-row centro">
                        <div className="tamanho10 meio text"><p>Além disso, é relevante considerarmos que o atendimento odontológico pode funcionar como agente potencializador da qualidade de vida da gestante por meio da percepção subjetiva de bem-estar e, ainda, como agente promotor de estilos de vida mais saudáveis, tanto para si quanto para seus filhos e família.</p></div>
                    </div>
                    
                  ] ]} />
</div>
            <ModalBtn2 BtnType='observacao' BtnText='OBSERVAÇÃO' ModalTitle='Observação' ModalContent={['As ações odontológicas integradas aos serviços de saúde pública podem repercutir na qualidade de vida não somente da gestante, mas também de toda sua família',<Ref key={"rf"+Date.now()} Id="5"/>,'.']} Id='1' />
        </div>

      </StyledDiv>
    )
  }
}
export default Page
