import React from 'react'
import styled from 'styled-components'
import TabelaAnimadaDupla from '.././local/component/TabelaAnimadaDupla'

// Styling
const StyledDiv = styled.div`

.linha1 p {
    text-align: center;
    color: #fff !important;
}
        

`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Inserção da Assistência à Saúde Bucal na Rede Cegonha</h2>
        <div className='page'>
        <p><strong>Clique</strong> nas caixas à esquerda no quadro e acesse a caracterização da estrutura operacional para inserção da saúde bucal nas redes de atenção:</p>

        <TabelaAnimadaDupla
            Header={["Estrutura operacional","Situação ideal"]}
            RowsContent={[[<ul>
              <li><p>Cirurgião-dentista em quantidade compatível com as diretrizes ministeriais, sendo, preferencialmente, um cirurgião-dentista para cada 2.000 habitantes (máximo 3.500 habitantes) localizados dentro do seu território, atuando na Atenção Primária à Saúde e perfazendo 40h semanais com contrato de trabalho estável.</p></li>
              <li><p>Existência de cirurgião-dentista atuando nas especialidades mínimas exigidas para manutenção do centro de especialidades odontológicas.</p></li>
              <li><p>Cirurgião-dentista atuando em serviços de urgência: atenção às afecções agudas de saúde bucal na rede de urgência e emergência.</p></li>
              <li><p>Existência de cirurgião-dentista em serviços de alta complexidade, em nível hospitalar, garantindo a integralidade da atenção. Equiparação entre quantidade de cirurgião-dentista e auxiliares de saúde bucal.</p></li>
            </ul>],[<ul>
              <li><p>Atenção à saúde bucal disponível em todas as USF garantindo o acesso da população a este serviço.</p></li>
              <li><p>Ampliação e qualificação da Atenção Primária em saúde bucal mediante a oferta de ações de prevenção, promoção, recuperação e manutenção da saúde bucal.</p></li>
            </ul>],[<ul>
              <li><p>Oferta de serviços especializados em odontologia na Atenção Secundária nos centros de especialidades odontológicas, de acordo com a necessidade da população, cumprindo os requisitos mínimos para a manutenção do centro de acordo com porte populacional e plano de regionalização. Esses municípios também precisam atender às necessidades de suas regiões de saúde.</p></li>
            </ul>],[<ul>
              <li><p>Referência para serviços odontológicos de alta complexidade em unidades hospitalares.</p></li>
            </ul>],[<ul>
              <li><p>Oferta de serviços de apoio diagnóstico e terapêutico por meio de laboratórios próprios ou conveniados de patologia bucal, radiologia odontológica e prótese dentária, articulados com a rede.</p></li>
              <li><p>Existência de apoio farmacêutico que contemple a atenção farmacêutica de acordo com a necessidade em saúde bucal.</p></li></ul>],[<ul>
              <li><p>Integração de todos os níveis de atenção por meio de sistema de regulação que oriente os fluxos determinados por protocolos ou de diretrizes que orientem os serviços e as ações em saúde bucal.</p></li>
              <li><p>Utilização de prontuário clínico eletrônico como forma de otimizar a articulação entre os pontos.</p></li><li><p>Disponibilização de transporte aos usuários, possibilitando acesso a todos os pontos de atenção.</p></li></ul>],[<ul>
              <li><p>Contar com sistema de governança, visando à construção de consensos para a organização da rede de atenção à saúde bucal. Existência de assuntos referentes à organização da rede de atenção à saúde bucal em planos municipais de saúde e pautas da Comissão Intergestores Bipartite (CIB).</p></li>
            </ul>]]}

            RowIndex={["Recursos humanos","Atenção Primária","Pontos de atenção especializada ambulatorial","Pontos de atenção especializada hospitalar","Sistemas de apoio","Sistemas logísticos","Sistemas de governança"]}
                />
        </div>
      </StyledDiv>
    )
  }
}
export default Page
