import React from 'react'
import styled from 'styled-components'
import CaixaContorno from '../components/CaixaContorno';
import CaixaSombreada from '../components/CaixaSombreada';
import Ref from '../components/Ref'

import img1 from '../pages/media/images/pag4_img1.png' 
import CaixaIcone from '../components/CaixaIcone';
// Styling
const StyledDiv = styled.div`
  .tamanho2 {
      width: 10.9%;
  }
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Rede de Atenção à Saúde (RAS)</h2>
        <div className='page'>
        <p>Por meio da Portaria de Consolidação nº 3, de 28 de setembro de 2017 (PRT MS/GM 4279/2010, Art 1º), o Ministério da Saúde estabelece diretrizes para a organização das Redes de Atenção à Saúde (RAS) no âmbito do Sistema Único de Saúde (SUS). Nesse documento, as RAS são definidas como:</p>
        <CaixaContorno Content={[<p>Arranjos organizativos de ações e serviços de saúde, de diferentes densidades tecnológicas, que integradas por meio de sistemas de apoio técnico, logístico e de gestão, buscam garantir a integralidade do cuidado<Ref key={"rf"+Date.now()} Id="1"/>.</p>]} />
        <p>São objetivos das Redes de Atenção à Saúde<Ref key={"rf"+Date.now()} Id="1"/>:</p>

        <div className="grid-row centro">
          <div className="tamanho2 meio animated bounceInLeft">
            <div><img src={img1}/></div>
          </div>
          <div className="tamanho8 meio animated bounceInLeft">
            <CaixaSombreada Content={["Promover a integração sistêmica, de ações e serviços de saúde com provisão de atenção contínua, integral, de qualidade, responsável e humanizada."]} />
          </div>
          <div className="tamanho2 meio animated bounceInLeft delay-1s">
            <div><img src={img1}/></div>
          </div>
          <div className="tamanho8 meio animated bounceInLeft delay-1s">
            <CaixaSombreada Content={["Incrementar o desempenho do Sistema, em termos de acesso, equidade, eficácia clínica e sanitária; e eficiência econômica."]} />
          </div>
        </div>
        <CaixaIcone type="reflita"
          title="REFLITA"
          Content="Diante desses conceitos, reflita: por que organizar o SUS em redes de atenção à saúde?"  />
        </div>
      </StyledDiv>
    )
  }
}
export default Page
