import React from 'react'
import styled from 'styled-components'
import CaixaContorno from '../components/CaixaContorno';
import Ref from '../components/Ref'
import img1 from '../pages/media/images/seta10.png'
import CaixaDialogoFundo from '../components/CaixaDialogoFundo';
import CaixaIcone from '../components/CaixaIcone';
import img2 from './media/images/personagens06.png'
import pdf1 from './media/pdf/Redes_Atencao_Saude_Eugenio_2ed.PDF'

// Styling
const StyledDiv = styled.div`
.tamanho1 {
    width: 13.9%;
}
@media screen and (max-width: 900px){
  .conversa{
    border-radius: 1vh !important;
  }
}
.conversa-imagem{
  width: 21% !important;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
   
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Rede de Atenção à Saúde (RAS)</h2>
        <div className='page'>
          <p>Mesmo que tenhamos muitos avanços no SUS, ainda existem dificuldades em superar a intensa fragmentação das ações e dos serviços de saúde e qualificar a gestão do cuidado no contexto atual<Ref key={"rf"+Date.now()} Id="1"/>.</p>

         <div className="grid-row centro">
           <div className="tamanho10 animated bounceInLeft">
             <CaixaContorno Content={[<p>Um modelo de atenção à saúde baseado majoritariamente em ações curativas, centrado no cuidado médico e estruturado com ações e serviços de saúde dimensionados a partir da oferta, tem se mostrado insuficiente para dar conta dos desafios sanitários atuais e insustentável para os enfrentamentos futuros<Ref key={"rf"+Date.now()} Id="1"/>.</p>]} />
           </div>
         </div>
          <CaixaDialogoFundo DialogContent="Agora que já vimos do que se trata a organização em RAS, entenderemos, nas próximas páginas, o que é Rede Cegonha nesse contexto." DialogImage={img2}/>
          <CaixaIcone type="agoravoce"
          title="LEITURA COMPLEMENTAR"
          Content={["Conheça as características que distinguem os sistemas fragmentados e as redes de atenção à saúde, por meio da publicação ", <a href={pdf1} target='_blank' rel='noopener noreferrer'>“As redes de atenção à saúde”</a> ,", de Eugênio Vilaça Mendes."]}  />
        </div>
      </StyledDiv>
    )
  }
}
export default Page